# mazelib
[![Build Status](https://github.com/john-science/mazelib/actions/workflows/unittests.yaml/badge.svg?branch=main)](https://github.com/john-science/mazelib/blob/main/.github/workflows/unittests.yaml)
[![codecov](https://codecov.io/gh/john-science/mazelib/branch/main/graph/badge.svg)](https://codecov.io/gh/john-science/mazelib)

#### A Python API for creating and solving mazes.

## [The mazelib API](https://github.com/john-science/mazelib/blob/main/docs/API.md)

A quick introduction in how to use this library.


## [Display Examples](https://github.com/john-science/mazelib/blob/main/docs/EXAMPLES.md)

Examples of how to generate and solve some unique, tailored mazes. Also, examples of how to plot your results.


## Maze Algorithms

The heart of this library is the huge collection of algorithms available to create and solve mazes. The better you understand these, the more you can do with this library.

### [Maze-Generating Algorithms](https://github.com/john-science/mazelib/blob/main/docs/MAZE_GEN_ALGOS.md)

### [Maze-Transmuting Algorithms](https://github.com/john-science/mazelib/blob/main/docs/MAZE_TRANSMUTE_ALGOS.md)

### [Maze-Solving Algorithms](https://github.com/john-science/mazelib/blob/main/docs/MAZE_SOLVE_ALGOS.md)
